Debian Bug report logs - #696837
Missing Depends on python-libtorrent, fails to start

version graph

Package: deluge-gtk; Maintainer for deluge-gtk is Cristian Greco <cristian@debian.org>; Source for deluge-gtk is src:deluge.

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Fri, 28 Dec 2012 00:57:02 UTC

Severity: grave

Found in version deluge/1.3.3-2

Fixed in version deluge/1.3.3-2+nmu1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Fri, 28 Dec 2012 00:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to Cristian Greco <cristian@debian.org>. (Fri, 28 Dec 2012 00:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Missing Depends on python-libtorrent, fails to start
Date: Fri, 28 Dec 2012 01:52:29 +0100
Package: deluge-gtk
Version: 1.3.3-2
Severity: grave

After "apt-get install deluge-gtk" Deluge failed to start with the following
traceback:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/deluge/ui/gtkui/gtkui.py", line 299, in _on_reactor_start
    client.start_classic_mode()
  File "/usr/lib/python2.7/dist-packages/deluge/ui/client.py", line 559, in start_classic_mode
    self._daemon_proxy = DaemonClassicProxy(self.__event_handlers)
  File "/usr/lib/python2.7/dist-packages/deluge/ui/client.py", line 432, in __init__
    self.__daemon = deluge.core.daemon.Daemon(classic=True)
  File "/usr/lib/python2.7/dist-packages/deluge/core/daemon.py", line 136, in __init__
    from deluge.core.core import Core
  File "/usr/lib/python2.7/dist-packages/deluge/core/core.py", line 36, in <module>
    from deluge._libtorrent import lt
  File "/usr/lib/python2.7/dist-packages/deluge/_libtorrent.py", line 59, in <module>
    import libtorrent as lt
ImportError: No module named libtorrent

deluge-gtk needs a Depends on python-libtorrent. Installing it fixes it.

Cheers,
        Moritz

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages deluge-gtk depends on:
ii  deluge-common                        1.3.3-2
ii  librsvg2-common                      2.36.1-1
ii  python                               2.7.3-3
ii  python-glade2                        2.24.0-3
pn  python-notify                        <none>
ii  python2.6                            2.6.8-1
ii  python2.7                            2.7.3-5
ii  xdg-utils                            1.1.0~rc1+git20111210-6
ii  xfce4-notifyd [notification-daemon]  0.2.2-2

Versions of packages deluge-gtk recommends:
ii  python-pygame  1.9.1release+dfsg-7

deluge-gtk suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Fri, 28 Dec 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Fri, 28 Dec 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 696837@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Moritz Muehlenhoff <jmm@debian.org>, 696837@bugs.debian.org
Subject: Re: Bug#696837: Missing Depends on python-libtorrent, fails to start
Date: Fri, 28 Dec 2012 20:49:57 +0600
[Message part 1 (text/plain, inline)]
On Fri, Dec 28, 2012 at 01:52:29AM +0100, Moritz Muehlenhoff wrote:
>   File "/usr/lib/python2.7/dist-packages/deluge/_libtorrent.py", line 59, in <module>
>     import libtorrent as lt
> ImportError: No module named libtorrent
> 
> deluge-gtk needs a Depends on python-libtorrent. Installing it fixes it.
Note that 
- this is needed only to run the daemon part, by the standalone daemon or
  by the clien in classic mode
- deluged depends on python-libtorrent
- deluge (which has "You may want to install this package to use Deluge in
  classic mode" in the description") depends on python-libtorrent

But you can install just deluge-gtk and the classic mode will be enabled
by default, displaying a window with the stack trace and a button which
disables the classic mode. If it was disabled by default I would lower the
severity but the current situation sounds wrong unless I'm missing
something. 
The easiest fix is to have deluge-gtk recommend python-libtorrent but the
existence of an almost empty deluge package shows that the current
situation is probably not what was intended by the maintainer.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Mon, 07 Jan 2013 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eddy Pronk <epronk@muftor.com>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Mon, 07 Jan 2013 14:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 696837@bugs.debian.org (full text, mbox):

From: Eddy Pronk <epronk@muftor.com>
To: 696837@bugs.debian.org
Subject: [patch]
Date: Tue, 8 Jan 2013 00:17:58 +1000
[Message part 1 (text/plain, inline)]
deluged has the dependency. The deluge-common package should have it instead.
[libtorrent.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Thu, 10 Jan 2013 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Thu, 10 Jan 2013 20:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 696837@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Eddy Pronk <epronk@muftor.com>, 696837@bugs.debian.org
Subject: Re: Bug#696837: [patch]
Date: Fri, 11 Jan 2013 02:18:00 +0600
[Message part 1 (text/plain, inline)]
On Tue, Jan 08, 2013 at 12:17:58AM +1000, Eddy Pronk wrote:
> deluged has the dependency. The deluge-common package should have it instead.
No, it shouldn't.


-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Thu, 10 Jan 2013 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eddy Pronk <epronk@muftor.com>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Thu, 10 Jan 2013 22:57:03 GMT) Full text and rfc822 format available.

Message #25 received at 696837@bugs.debian.org (full text, mbox):

From: Eddy Pronk <epronk@muftor.com>
To: Andrey Rahmatullin <wrar@wrar.name>
Cc: 696837@bugs.debian.org
Subject: Re: Bug#696837: [patch]
Date: Fri, 11 Jan 2013 08:54:28 +1000
The file that imports libtorrent is packaged in deluge-common.
Why do you think it should not have a dependency on it?
What would be the right fix?

On Fri, Jan 11, 2013 at 6:18 AM, Andrey Rahmatullin <wrar@wrar.name> wrote:
> On Tue, Jan 08, 2013 at 12:17:58AM +1000, Eddy Pronk wrote:
>> deluged has the dependency. The deluge-common package should have it instead.
> No, it shouldn't.



Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Fri, 11 Jan 2013 00:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Fri, 11 Jan 2013 00:15:05 GMT) Full text and rfc822 format available.

Message #30 received at 696837@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Eddy Pronk <epronk@muftor.com>
Cc: 696837@bugs.debian.org
Subject: Re: Bug#696837: [patch]
Date: Fri, 11 Jan 2013 06:14:13 +0600
[Message part 1 (text/plain, inline)]
On Fri, Jan 11, 2013 at 08:54:28AM +1000, Eddy Pronk wrote:
> The file that imports libtorrent is packaged in deluge-common.
deluge-common doesn't need python-libtorrent to "function".

> Why do you think it should not have a dependency on it?
> What would be the right fix?
Did you read my previous email in this bug?

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve McIntyre <steve@einval.com>:
You have taken responsibility. (Sun, 27 Jan 2013 16:42:05 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Sun, 27 Jan 2013 16:42:05 GMT) Full text and rfc822 format available.

Message #35 received at 696837-done@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Andrey Rahmatullin <wrar@wrar.name>, 696837-done@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@debian.org>, Eddy Pronk <epronk@muftor.com>
Subject: Re: Bug#696837: Missing Depends on python-libtorrent, fails to start
Date: Sun, 27 Jan 2013 16:39:06 +0000
[Message part 1 (text/plain, inline)]
On Fri, Dec 28, 2012 at 08:49:57PM +0600, Andrey Rahmatullin wrote:
>On Fri, Dec 28, 2012 at 01:52:29AM +0100, Moritz Muehlenhoff wrote:
>>   File "/usr/lib/python2.7/dist-packages/deluge/_libtorrent.py", line 59, in <module>
>>     import libtorrent as lt
>> ImportError: No module named libtorrent
>> 
>> deluge-gtk needs a Depends on python-libtorrent. Installing it fixes it.
>Note that 
>- this is needed only to run the daemon part, by the standalone daemon or
>  by the clien in classic mode
>- deluged depends on python-libtorrent
>- deluge (which has "You may want to install this package to use Deluge in
>  classic mode" in the description") depends on python-libtorrent
>
>But you can install just deluge-gtk and the classic mode will be enabled
>by default, displaying a window with the stack trace and a button which
>disables the classic mode. If it was disabled by default I would lower the
>severity but the current situation sounds wrong unless I'm missing
>something. 
>The easiest fix is to have deluge-gtk recommend python-libtorrent but the
>existence of an almost empty deluge package shows that the current
>situation is probably not what was intended by the maintainer.

If deluge-gtk prints a stack trace to a first-time user on first use
because of a missing dependency, let's just install that dependency
already. What's the downside to that?

NMU in delayed/2 now using the attached debdiff (Eddy's patch).

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
We don't need no education.
We don't need no thought control.
[deluge.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Sun, 27 Jan 2013 16:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Sun, 27 Jan 2013 16:51:09 GMT) Full text and rfc822 format available.

Message #40 received at 696837@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Steve McIntyre <steve@einval.com>
Cc: 696837@bugs.debian.org, Moritz Muehlenhoff <jmm@debian.org>, Eddy Pronk <epronk@muftor.com>
Subject: Re: Bug#696837: Missing Depends on python-libtorrent, fails to start
Date: Sun, 27 Jan 2013 22:50:25 +0600
[Message part 1 (text/plain, inline)]
On Sun, Jan 27, 2013 at 04:39:06PM +0000, Steve McIntyre wrote:
> If deluge-gtk prints a stack trace to a first-time user on first use
> because of a missing dependency, let's just install that dependency
> already. What's the downside to that?
Just 10 Mb of packages that are not needed if you want only a remote GUI.


-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Sun, 27 Jan 2013 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <asb@debian.org>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Sun, 27 Jan 2013 17:06:03 GMT) Full text and rfc822 format available.

Message #45 received at 696837@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <asb@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: 696837@bugs.debian.org, Moritz Muehlenhoff <jmm@debian.org>, Eddy Pronk <epronk@muftor.com>
Subject: Re: Bug#696837: marked as done (Missing Depends on python-libtorrent, fails to start)
Date: Sun, 27 Jan 2013 12:02:43 -0500
On Sun, Jan 27, 2013 at 11:42 AM, Debian Bug Tracking System
<owner@bugs.debian.org> wrote:
> NMU in delayed/2 now using the attached debdiff (Eddy's patch).

From the proposed patch:

@@ -41,8 +42,7 @@
 Package: deluged
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
-         deluge-common (= ${source:Version}),
-         python-libtorrent (>= 0.14.9)
+         deluge-common (= ${source:Version})
 Description: bittorrent client written in Python/PyGTK (daemon)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
  using libtorrent-rasterbar in it's backend and featuring multiple



Adding the extra dependency to deluge-gtk doesn't really bother me all
that much one way or the other, but this patch isn't really correct
either. This seems to remove the python-libtorrent dependency for
deluged. That will break the use case of running the daemon
application on a remote server.

-- Andrew Starr-Bochicchio

   Ubuntu Developer <https://launchpad.net/~andrewsomething>
   Debian Developer <http://qa.debian.org/developer.php?login=asb>
   PGP/GPG Key ID: D53FDCB1



Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Sun, 27 Jan 2013 17:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Sun, 27 Jan 2013 17:12:05 GMT) Full text and rfc822 format available.

Message #50 received at 696837@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Andrew Starr-Bochicchio <asb@debian.org>
Cc: 696837@bugs.debian.org, Moritz Muehlenhoff <jmm@debian.org>, Eddy Pronk <epronk@muftor.com>
Subject: Re: Bug#696837: marked as done (Missing Depends on python-libtorrent, fails to start)
Date: Sun, 27 Jan 2013 17:09:25 +0000
On Sun, Jan 27, 2013 at 12:02:43PM -0500, Andrew Starr-Bochicchio wrote:
>On Sun, Jan 27, 2013 at 11:42 AM, Debian Bug Tracking System
><owner@bugs.debian.org> wrote:
>> NMU in delayed/2 now using the attached debdiff (Eddy's patch).
>
>From the proposed patch:
>
>@@ -41,8 +42,7 @@
> Package: deluged
> Architecture: all
> Depends: ${misc:Depends}, ${python:Depends},
>-         deluge-common (= ${source:Version}),
>-         python-libtorrent (>= 0.14.9)
>+         deluge-common (= ${source:Version})
> Description: bittorrent client written in Python/PyGTK (daemon)
>  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
>  using libtorrent-rasterbar in it's backend and featuring multiple
>
>
>
>Adding the extra dependency to deluge-gtk doesn't really bother me all
>that much one way or the other, but this patch isn't really correct
>either. This seems to remove the python-libtorrent dependency for
>deluged. That will break the use case of running the daemon
>application on a remote server.

Should be fine: deluged depends on deluge-common (same version), which
will now bring in python-libtorrent as a dependency.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"I can't ever sleep on planes ... call it irrational if you like, but I'm
 afraid I'll miss my stop" -- Vivek Dasmohapatra




Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Sun, 27 Jan 2013 17:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Sun, 27 Jan 2013 17:18:06 GMT) Full text and rfc822 format available.

Message #55 received at 696837@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 696837@bugs.debian.org
Subject: Re: Bug#696837: marked as done (Missing Depends on python-libtorrent, fails to start)
Date: Sun, 27 Jan 2013 23:14:35 +0600
[Message part 1 (text/plain, inline)]
On Sun, Jan 27, 2013 at 12:02:43PM -0500, Andrew Starr-Bochicchio wrote:
> From the proposed patch:
> 
> @@ -41,8 +42,7 @@
>  Package: deluged
>  Architecture: all
>  Depends: ${misc:Depends}, ${python:Depends},
> -         deluge-common (= ${source:Version}),
> -         python-libtorrent (>= 0.14.9)
> +         deluge-common (= ${source:Version})
>  Description: bittorrent client written in Python/PyGTK (daemon)
>   Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
>   using libtorrent-rasterbar in it's backend and featuring multiple
> 
> Adding the extra dependency to deluge-gtk doesn't really bother me all
> that much one way or the other, but this patch isn't really correct
> either. This seems to remove the python-libtorrent dependency for
> deluged. That will break the use case of running the daemon
> application on a remote server.
It seems that the patch adds the dependency to deluge-common.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#696837; Package deluge-gtk. (Mon, 28 Jan 2013 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Greco <cristian@debian.org>:
Extra info received and forwarded to list. (Mon, 28 Jan 2013 19:42:03 GMT) Full text and rfc822 format available.

Message #60 received at 696837@bugs.debian.org (full text, mbox):

From: Cristian Greco <cristian@debian.org>
To: Andrey Rahmatullin <wrar@wrar.name>, Steve McIntyre <steve@einval.com>, Andrew Starr-Bochicchio <asb@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Cc: 696837@bugs.debian.org
Subject: Re: Bug#696837: marked as done (Missing Depends on python-libtorrent, fails to start)
Date: Mon, 28 Jan 2013 20:21:09 +0100
[Message part 1 (text/plain, inline)]
Hi all!

First of all, I apologize for not taking care of the huge amount of
bugs with deluge lately.

I tend to disagree with the proposed patch. The current situation of
deluge dependencies is *exactly* as it was intended: the reason is
clearly (IMHO) stated in packages description; and it is the result
of a discussion which also involved upstream authors and led to the
kind of fragmentation of dependencies we all see.

The patch proposed to fix this bug is a complete revert of the change at
[0], which in turn was discussed and agreed with upstream in order to
fix the bug at [1] and to make it clear the client-server model of
deluge and the role of its UIs packages.

Having said that, I'd prefer to leave package' dependencies untouched,
and instead ask you for suggestions on how to improve their descriptions
and make it clear to the final user why and when she or he should
choose to install `deluge` rather than `deluge-gtk` (maybe the name of
the package is also unfortunate here and helps causing confusion).

[0] http://anonscm.debian.org/gitweb/?p=collab-maint/deluge.git;a=commitdiff;h=c9647e5e55e3fa89b4b4073708b291c3c08a23f9
[1] https://bugs.launchpad.net/ubuntu/+source/deluge/+bug/672069


Thanks,
--
Cristian Greco
GPG key ID: 0xCF4D32E4
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Mon, 28 Jan 2013 19:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Mon, 28 Jan 2013 19:54:05 GMT) Full text and rfc822 format available.

Message #65 received at 696837@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Cristian Greco <cristian@debian.org>
Cc: Steve McIntyre <steve@einval.com>, Andrew Starr-Bochicchio <asb@debian.org>, Moritz Muehlenhoff <jmm@debian.org>, 696837@bugs.debian.org
Subject: Re: Bug#696837: marked as done (Missing Depends on python-libtorrent, fails to start)
Date: Tue, 29 Jan 2013 01:52:43 +0600
[Message part 1 (text/plain, inline)]
On Mon, Jan 28, 2013 at 08:21:09PM +0100, Cristian Greco wrote:
> First of all, I apologize for not taking care of the huge amount of
> bugs with deluge lately.
> 
> I tend to disagree with the proposed patch. The current situation of
> deluge dependencies is *exactly* as it was intended: the reason is
> clearly (IMHO) stated in packages description; and it is the result
> of a discussion which also involved upstream authors and led to the
> kind of fragmentation of dependencies we all see.
> 
> The patch proposed to fix this bug is a complete revert of the change at
> [0], which in turn was discussed and agreed with upstream in order to
> fix the bug at [1] and to make it clear the client-server model of
> deluge and the role of its UIs packages.
> 
> Having said that, I'd prefer to leave package' dependencies untouched,
> and instead ask you for suggestions on how to improve their descriptions
> and make it clear to the final user why and when she or he should
> choose to install `deluge` rather than `deluge-gtk` (maybe the name of
> the package is also unfortunate here and helps causing confusion).
> 
> [0] http://anonscm.debian.org/gitweb/?p=collab-maint/deluge.git;a=commitdiff;h=c9647e5e55e3fa89b4b4073708b291c3c08a23f9
> [1] https://bugs.launchpad.net/ubuntu/+source/deluge/+bug/672069
There is only one change needed: if an user installs just deluge-gtk they
shouldn't get the classic mode enabled by default.
I'm not sure that this is possible at all, though.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Tue, 29 Jan 2013 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Tue, 29 Jan 2013 16:51:05 GMT) Full text and rfc822 format available.

Message #70 received at 696837@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Andrey Rahmatullin <wrar@wrar.name>
Cc: Cristian Greco <cristian@debian.org>, Andrew Starr-Bochicchio <asb@debian.org>, Moritz Muehlenhoff <jmm@debian.org>, 696837@bugs.debian.org
Subject: Re: Bug#696837: marked as done (Missing Depends on python-libtorrent, fails to start)
Date: Tue, 29 Jan 2013 16:49:18 +0000
On Tue, Jan 29, 2013 at 01:52:43AM +0600, Andrey Rahmatullin wrote:
>On Mon, Jan 28, 2013 at 08:21:09PM +0100, Cristian Greco wrote:
>> First of all, I apologize for not taking care of the huge amount of
>> bugs with deluge lately.
>> 
>> I tend to disagree with the proposed patch. The current situation of
>> deluge dependencies is *exactly* as it was intended: the reason is
>> clearly (IMHO) stated in packages description; and it is the result
>> of a discussion which also involved upstream authors and led to the
>> kind of fragmentation of dependencies we all see.
>> 
>> The patch proposed to fix this bug is a complete revert of the change at
>> [0], which in turn was discussed and agreed with upstream in order to
>> fix the bug at [1] and to make it clear the client-server model of
>> deluge and the role of its UIs packages.
>> 
>> Having said that, I'd prefer to leave package' dependencies untouched,
>> and instead ask you for suggestions on how to improve their descriptions
>> and make it clear to the final user why and when she or he should
>> choose to install `deluge` rather than `deluge-gtk` (maybe the name of
>> the package is also unfortunate here and helps causing confusion).
>> 
>> [0] http://anonscm.debian.org/gitweb/?p=collab-maint/deluge.git;a=commitdiff;h=c9647e5e55e3fa89b4b4073708b291c3c08a23f9
>> [1] https://bugs.launchpad.net/ubuntu/+source/deluge/+bug/672069
>There is only one change needed: if an user installs just deluge-gtk they
>shouldn't get the classic mode enabled by default.
>I'm not sure that this is possible at all, though.

If that's not possible, then I'd argue that the package split is a
mess. Installing an end-user desktop program that *by default* will
show a python stack strace to a user on first use is far too
unfriendly. IMHO that's RC, just as described in this bug report.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
< liw> everything I know about UK hotels I learned from "Fawlty Towers"




Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 17:06:08 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 17:06:08 GMT) Full text and rfc822 format available.

Message #75 received at 696837-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 696837-close@bugs.debian.org
Subject: Bug#696837: fixed in deluge 1.3.3-2+nmu1
Date: Tue, 29 Jan 2013 17:03:29 +0000
Source: deluge
Source-Version: 1.3.3-2+nmu1

We believe that the bug you reported is fixed in the latest version of
deluge, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696837@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated deluge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 27 Jan 2013 16:29:15 +0000
Source: deluge
Binary: deluge-common deluged deluge-console deluge-web deluge-gtk deluge deluge-webui deluge-torrent
Architecture: source all
Version: 1.3.3-2+nmu1
Distribution: unstable
Urgency: low
Maintainer: Cristian Greco <cristian@debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 deluge     - bittorrent client written in Python/PyGTK
 deluge-common - bittorrent client written in Python/PyGTK (common files)
 deluge-console - bittorrent client written in Python/PyGTK (console ui)
 deluge-gtk - bittorrent client written in Python/PyGTK (GTK+ ui)
 deluge-torrent - bittorrent client (gtk ui transitional package)
 deluge-web - bittorrent client written in Python/PyGTK (web ui)
 deluge-webui - bittorrent client (web ui transitional package)
 deluged    - bittorrent client written in Python/PyGTK (daemon)
Closes: 696837
Changes: 
 deluge (1.3.3-2+nmu1) unstable; urgency=low
 .
   * NMU
   * Add Depends: python-libtorrent. Closes: #696837
     Thanks to Eddy Pronk for the patch.
Checksums-Sha1: 
 ede64a42f3f3cab2db823d617316651bae56cf12 2217 deluge_1.3.3-2+nmu1.dsc
 a11e4e252e29f16d288b0258268129d01786ed8d 18867 deluge_1.3.3-2+nmu1.debian.tar.gz
 5d02fe3813466403e33e7c76483243e3173aebde 1235506 deluge-common_1.3.3-2+nmu1_all.deb
 e65ea91f67732faf97c42d6ad388c88ed1ed366d 24990 deluged_1.3.3-2+nmu1_all.deb
 bf3993ee38a274fa2004de6844827b41ca0b511a 44294 deluge-console_1.3.3-2+nmu1_all.deb
 733d3eceb7d095009780aa49b103f9281c5a9957 1434572 deluge-web_1.3.3-2+nmu1_all.deb
 aa96d4554f5240edcb0c640bfc3dde57c54015c8 265588 deluge-gtk_1.3.3-2+nmu1_all.deb
 0c0e2058e560b2fbc94a789dfce05817845ce394 33222 deluge_1.3.3-2+nmu1_all.deb
 fe5ea9c243b3237ee8a7a3f9c0949919174ac310 23734 deluge-webui_1.3.3-2+nmu1_all.deb
 316ad56ddefbdc3f1b90196a587b1e2b04272b12 23720 deluge-torrent_1.3.3-2+nmu1_all.deb
Checksums-Sha256: 
 10eb314732eb366694c11d9b5dd281eecdde9f4ace30b251e002c2716650bb77 2217 deluge_1.3.3-2+nmu1.dsc
 0bbaa0debfd3079f3a10077ebea174816d09a88735f2910a499408df53602690 18867 deluge_1.3.3-2+nmu1.debian.tar.gz
 a9c5a3b0dc284783f9a384031a6402b69a2efe5a873a65e28f5b47bb08a05537 1235506 deluge-common_1.3.3-2+nmu1_all.deb
 b0cbe70b964de6dbb1ff69144a6b18067a3576f6d920fe217a0360d56bb6dbf8 24990 deluged_1.3.3-2+nmu1_all.deb
 8636ac718a1f6a0a3176a88a517b46da9b6448212f4b6f2fd3ce34373faf4a52 44294 deluge-console_1.3.3-2+nmu1_all.deb
 c644520f2c878c40a30c7f60485d3af006d9db65b60798d06293cbdd5d9b7442 1434572 deluge-web_1.3.3-2+nmu1_all.deb
 050d791f583b9b7b5c0c19d02a7ff07697f7125fc5e4b86ec9836fb061568ff8 265588 deluge-gtk_1.3.3-2+nmu1_all.deb
 5f90457427d1bc97dc576d1a1b38b0ce2d7b3a66d8ed07b18d99c3a373f654bc 33222 deluge_1.3.3-2+nmu1_all.deb
 5cb85124558aa115379e18348a436db1c39023a03b905578fee65287c447e29c 23734 deluge-webui_1.3.3-2+nmu1_all.deb
 64ea810c60519bb1a4a7664004222e61c9adf25791705df5445e55607c8b5448 23720 deluge-torrent_1.3.3-2+nmu1_all.deb
Files: 
 ffe7afb06361b47b02787320a3619c28 2217 net optional deluge_1.3.3-2+nmu1.dsc
 04246ab28cfbca971fa4818c2281576d 18867 net optional deluge_1.3.3-2+nmu1.debian.tar.gz
 8fc4fa20a9638314bceaa943e5570034 1235506 net optional deluge-common_1.3.3-2+nmu1_all.deb
 9857cf156f29c824d859427826227f59 24990 net optional deluged_1.3.3-2+nmu1_all.deb
 c1883efe651e97d90019b3e4826f0855 44294 net optional deluge-console_1.3.3-2+nmu1_all.deb
 38b188df3583ab9ea1a8f3f7670e392d 1434572 net optional deluge-web_1.3.3-2+nmu1_all.deb
 385443f1b5a0f5b3148f61fc5e008057 265588 net optional deluge-gtk_1.3.3-2+nmu1_all.deb
 88f3414b280e4c548cd56514bed751ae 33222 net optional deluge_1.3.3-2+nmu1_all.deb
 06a0585ff6040a4d85b40b1ced73a5fa 23734 net optional deluge-webui_1.3.3-2+nmu1_all.deb
 70fdb5b70c7548bcad2d67f1c4033a2b 23720 net optional deluge-torrent_1.3.3-2+nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRBVdrAAoJEFh5eVc0QmhOgQUP+wavEctQuRkDBmpv12yfLaFB
5m3VlKMSWhXENJ+hTnmCq3LN8CLy6w3KjSz0KKvQu1fJoheXmCf8axzpS29wb6dh
im7C4At8BljM+baM1CihRxSw+57tQ2+vf2NzPme63/AzK5n5nkJB+h4m2229vMBX
6PC6R7rayPZWUH+gZ8bXu8ik+e2Xx8a7nFGYIemWxNnto3My0RJ2ln/upZ+1rGtm
6AshWU6XoYHz1vY+gfNfeXaea2TR0IIM8/kMhF5bTf2PlHoBrvBGldoHtpjQVBUH
z9ZdsYWyAMA/WEVcbVL1vNFqQWvBNXWtBq69K8Pi9DJM12B4Gv5+Y8WmysZMob27
YP73JuLv5mQs7h6C3Lk3YJuxWxcMN6yQLVv+tnDJM4oE93SG7LeyQnq1fP6Noeq9
CiLi9QnPPZ6RVPgCTNukWdadKl/GXQ6L1q6DI8iMrHA3XPXeyJzQJVVlEdtj6zOd
7Uw9RWKDb15t3AmJNI8tjeC7PnwGcPF6/JIAGOc9ayr0ZGiDtr8lng4I8pxcLxyI
bSQ+8TgVlicORk/PnxQy7lv0Up4h04WNQgkqZg7nayBhrhv/yataxMXoeQiwOsVA
16WCMfUwQeinkxY5fGmb+EGTpSjM2YNlBORplr6xsXGSLjT/rJNBMk61GZx8yrI2
TP+aRcjNUUhPnCfthUC6
=5GFX
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Cristian Greco <cristian@debian.org>:
Bug#696837; Package deluge-gtk. (Wed, 13 Feb 2013 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Calum Lind <calumlind@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cristian Greco <cristian@debian.org>. (Wed, 13 Feb 2013 02:06:03 GMT) Full text and rfc822 format available.

Message #80 received at 696837@bugs.debian.org (full text, mbox):

From: Calum Lind <calumlind@gmail.com>
To: 696837@bugs.debian.org
Cc: Steve McIntyre <steve@einval.com>, Cristian Greco <cristian@debian.org>
Subject: Re: Bug#696837: fixed in deluge 1.3.3-2+nmu1
Date: Wed, 13 Feb 2013 02:04:05 +0000
[Message part 1 (text/plain, inline)]
That is not the correct fix for this bug.

In the first instance the user simply installed the wrong package and
although the message displayed in deluge-gtk should not have been an
exception message there was no loss of functionality (as a thin client) and
the proper dialog box to disable classic mode was displayed so this bug was
never grave nor required any change to dependencies.

cgreco detailed that it was by design that libtorrent is not included in
deluge-common and he referenced the bug report asking for the split
packages to save installing libtorrent. I am quite surprised that this was
completely ignored.

I thought about disabling classic mode by default for deluge-gtk but this
is not a good idea because displaying the initial yes/no dialog actually
helps users who may have accidentally installed only deluge-gtk.

So the solution is simply to present the user with a nicer message dialog
which I have now committed to the Deluge repo and attached.
[Message part 2 (text/html, inline)]
[7ef7cc41b6f001220e83bcb34454e8804d2b1101.patch (application/octet-stream, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Mar 2013 07:26:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:13:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.